import request from '@/utils/request'

// 查询政府网站列表
export function listZclds(query) {
  return request({
    url: '/tcZz/networkSecurity/zclds/list',
    method: 'get',
    params: query
  })
}

// 查询政府网站详细
export function getZclds(id) {
  return request({
    url: '/tcZz/networkSecurity/zclds/' + id,
    method: 'get'
  })
}

// 新增政府网站
export function addZclds(data) {
  return request({
    url: '/tcZz/networkSecurity/zclds',
    method: 'post',
    data: data
  })
}

// 修改政府网站
export function updateZclds(data) {
  return request({
    url: '/tcZz/networkSecurity/zclds',
    method: 'put',
    data: data
  })
}

// 删除政府网站
export function delZclds(id) {
  return request({
    url: '/tcZz/networkSecurity/zclds/' + id,
    method: 'delete'
  })
}
//批量启用禁用
// export function isStatusZclds(params) {
//   return request({
//     url: '/tcZz/networkSecurity/zclds/isStatus',
//     method: 'get',
//     params
//   })
// }
//通用导入信息
export function importZclds(data) {
  return request({
    url: '/tcZz/networkSecurity/zclds/common/importExcel',
    method: 'post',
    data
  })
}
